#pragma once

#include "GameObject.h"

enum GegenstandTyp
{
    PFEIL,
    LEBEN,
    SCHILD,
    SCHUH,
    GEIST,
    KUGEL,
    ROLLE,
    STURM,
    DRACHENAUGE,
    FEUERBALL,
    ENTERHAKEN,
    MINE,
    RWEISHEIT,
    RSTRENGTH,
    RBOSHEIT,
    RLEBEN,
    RTEMPO,
    ITEMANZAHL,
    NICHTS
};

class Gegenstand : public GameObject
{
private:
    GegenstandTyp typ;
    bool onMap;

public:
    Gegenstand( GegenstandTyp typ, bool onMap = 0, int x = 0, int y = 0, int w = 50, int h = 50 );
    ~Gegenstand();
    bool isOnMap() const;
};