#pragma once

#include "GameObject.h"
#include "Spieler.h"

enum GeschossTyp
{
    PFEIL,
    KUGEL,
    DRACHENAUGE,
    FEUERBALL
};

class Geschoss : public GameObject
{
private:
    float speed;
    Richtung richtung;
    Spieler *besitzer;
    GeschossTyp typ;
    int tunnelBenutzt;
    bool alive;
    int umgelenkt;
    int geschosseGetroffen;

public:
    Geschoss( float speed, GeschossTyp typ, Richtung r, int x, int y, Spieler *besitzer );
    ~Geschoss();
    void tick( double zeit );
};

class FeuerballTreffer : public GameObject
{
private:
    Spieler *besitzer;
    float timeLeft;

public:
    FeuerballTreffer( int x, int y, Spieler *besitzer, int maxZeit );
    ~FeuerballTreffer();
    void tick( double zeit );
};