#pragma once

#include "Variablen.h"
#include "Gegenstand.h"

class Drop : public Variable
{
private:
    Text name;
    int minX;
    int maxX;
    int minY;
    int maxY;
    int maxTime;
    float nextDrop;
    int numDrops;
    float wahrscheinlichkeit[ ITEMANZAHL ];

public:
    Drop( int minX, int maxX, int minY, int maxY, int maxTime, int numDrops, const char *name, float wkeit[ ITEMANZAHL ] );
    ~Drop();
    void setMinX( int x );
    void setMaxX( int x );
    void setMinY( int y );
    void setMaxY( int y );
    void setMaxTime( int seconds );
    void doDrop();
    void tick( float time );
    int getNumDrops() const;
    int getMinX() const;
    int getMaxX() const;
    int getMinY() const;
    int getMaxY() const;
    int getMaxTime() const;
};